Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPathSeg

All Known Subinterfaces:
  SVGPathSegArcAbs, SVGPathSegArcRel, SVGPathSegClosePath, SVGPathSegCurvetoCubicAbs, SVGPathSegCurvetoCubicRel, SVGPathSegCurvetoCubicSmoothAbs, SVGPathSegCurvetoCubicSmoothRel, SVGPathSegCurvetoQuadraticAbs, SVGPathSegCurvetoQuadraticRel, SVGPathSegCurvetoQuadraticSmoothAbs, SVGPathSegCurvetoQuadraticSmoothRel, SVGPathSegLinetoAbs, SVGPathSegLinetoHorizontalAbs, SVGPathSegLinetoHorizontalRel, SVGPathSegLinetoRel, SVGPathSegLinetoVerticalAbs, SVGPathSegLinetoVerticalRel, SVGPathSegMovetoAbs, SVGPathSegMovetoRel

All Known Implementing Classes:
  AbstractSVGPathSegList.SVGPathSegArcItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem, AbstractSVGPathSegList.SVGPathSegItem, AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem, AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem, AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem

public interface SVGPathSeg

Field Summary
`static short` | `PATHSEG_ARC_ABS`
`static short` | `PATHSEG_ARC_REL`
`static short` | `PATHSEG_CLOSEPATH`
`static short` | `PATHSEG_CURVETO_CUBIC_ABS`
`static short` | `PATHSEG_CURVETO_CUBIC_REL`
`static short` | `PATHSEG_CURVETO_CUBIC_SMOOTH_ABS`
`static short` | `PATHSEG_CURVETO_CUBIC_SMOOTH_REL`
`static short` | `PATHSEG_CURVETO_QUADRATIC_ABS`
`static short` | `PATHSEG_CURVETO_QUADRATIC_REL`
`static short` | `PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS`
`static short` | `PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL`
`static short` | `PATHSEG_LINETO_ABS`
`static short` | `PATHSEG_LINETO_HORIZONTAL_ABS`
`static short` | `PATHSEG_LINETO_HORIZONTAL_REL`
`static short` | `PATHSEG_LINETO_REL`
`static short` | `PATHSEG_LINETO_VERTICAL_ABS`
`static short` | `PATHSEG_LINETO_VERTICAL_REL`
`static short` | `PATHSEG_MOVETO_ABS`
`static short` | `PATHSEG_MOVETO_REL`
`static short` | `PATHSEG_UNKNOWN`

Method Summary
`short` | `getPathSegType()`
`java.lang.String` | `getPathSegTypeAsLetter()`

Field Detail

### PATHSEG_UNKNOWN

    public static final short PATHSEG_UNKNOWN

See Also:
  Constant Field Values

### PATHSEG_CLOSEPATH

    public static final short PATHSEG_CLOSEPATH

See Also:
  Constant Field Values

### PATHSEG_MOVETO_ABS

    public static final short PATHSEG_MOVETO_ABS

See Also:
  Constant Field Values

### PATHSEG_MOVETO_REL

    public static final short PATHSEG_MOVETO_REL

See Also:
  Constant Field Values

### PATHSEG_LINETO_ABS

    public static final short PATHSEG_LINETO_ABS

See Also:
  Constant Field Values

### PATHSEG_LINETO_REL

    public static final short PATHSEG_LINETO_REL

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_ABS

    public static final short PATHSEG_CURVETO_CUBIC_ABS

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_REL

    public static final short PATHSEG_CURVETO_CUBIC_REL

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_ABS

    public static final short PATHSEG_CURVETO_QUADRATIC_ABS

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_REL

    public static final short PATHSEG_CURVETO_QUADRATIC_REL

See Also:
  Constant Field Values

### PATHSEG_ARC_ABS

    public static final short PATHSEG_ARC_ABS

See Also:
  Constant Field Values

### PATHSEG_ARC_REL

    public static final short PATHSEG_ARC_REL

See Also:
  Constant Field Values

### PATHSEG_LINETO_HORIZONTAL_ABS

    public static final short PATHSEG_LINETO_HORIZONTAL_ABS

See Also:
  Constant Field Values

### PATHSEG_LINETO_HORIZONTAL_REL

    public static final short PATHSEG_LINETO_HORIZONTAL_REL

See Also:
  Constant Field Values

### PATHSEG_LINETO_VERTICAL_ABS

    public static final short PATHSEG_LINETO_VERTICAL_ABS

See Also:
  Constant Field Values

### PATHSEG_LINETO_VERTICAL_REL

    public static final short PATHSEG_LINETO_VERTICAL_REL

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_SMOOTH_ABS

    public static final short PATHSEG_CURVETO_CUBIC_SMOOTH_ABS

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_SMOOTH_REL

    public static final short PATHSEG_CURVETO_CUBIC_SMOOTH_REL

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS

    public static final short PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL

    public static final short PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL

See Also:
  Constant Field Values

Method Detail

### getPathSegType

    public short getPathSegType()

### getPathSegTypeAsLetter

    public java.lang.String getPathSegTypeAsLetter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.